Bug 9502 - [3.8.X] famfamfam: wrongly placed in package 3.8.8/9
Summary: [3.8.X] famfamfam: wrongly placed in package 3.8.8/9
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low minor (vote)
Assignee: Chris Cormack
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-29 10:52 UTC by vinod
Modified: 2014-05-26 21:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9502 - famfamfam wronly linked in 3.8.x (19.40 KB, patch)
2013-02-13 18:02 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Signed off patch (19.46 KB, patch)
2013-02-13 18:27 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 9502 - Wrong destination in cp command (INSTALL.opensuse!) (1.51 KB, patch)
2013-03-24 21:35 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 9502 - Wrong destination in cp command (INSTALL.opensuse!) (1.56 KB, patch)
2013-04-17 22:39 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description vinod 2013-01-29 10:52:18 UTC
Dear All,

The famfamfam directly is wrongly placed in ubuntu package installation as i have installed version 3.8.8/9. Because of which the icon for item types does not shows in search results when using show item image via system preference and xslt style sheet. It should be inside the /usr/share/koha/opac/htdocs/opac-tmpl/prog folder at present it is in /usr/share/koha/opac/htdocs/opac-tmpl/lib/famfamfam
Comment 1 Tomás Cohen Arazi 2013-02-13 18:02:07 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2013-02-13 18:27:27 UTC Comment hidden (obsolete)
Comment 3 Marcel de Rooy 2013-03-24 17:28:30 UTC
Question:
If prog should be lib, should that be too in blib? Look at the copy destination for these lines e.g.: 

+cp koha-tmpl/opac-tmpl/lib/famfamfam/silk/error_go.png blib/OPAC_TMPL_DIR/prog/famfamfam/silk/error_go.png
-cp koha-tmpl/opac-tmpl/prog/famfamfam/mini/note.gif blib/OPAC_TMPL_DIR/prog/famfamfam/mini/note.gif
+cp koha-tmpl/opac-tmpl/lib/famfamfam/mini/note.gif blib/OPAC_TMPL_DIR/prog/famfamfam/mini/note.gif
Comment 4 Tomás Cohen Arazi 2013-03-24 21:35:59 UTC Comment hidden (obsolete)
Comment 5 Chris Cormack 2013-04-17 22:39:19 UTC
Created attachment 17516 [details] [review]
Bug 9502 - Wrong destination in cp command (INSTALL.opensuse!)

As noted on the bug by Marcel, the patch fails to acknowledge the path change properly in the INSTALL.opensuse file.
This patch fixes that documentation error, if anyone is willing to apply it.

Regards
To+

PS: The original patch has been applied already or fixed by another patch.
Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 6 Marcel de Rooy 2013-04-18 06:38:33 UTC
Looks good to me. Updating patch status..
Comment 7 Marcel de Rooy 2013-04-18 06:42:36 UTC
Just for the record: Lines referring to prog/famfamfam are still in this INSTALL doc also on master..
Comment 8 Chris Cormack 2013-04-20 10:51:43 UTC
Pushed to 3.8.x will be in 3.8.12